%define module_version 0.00011
%define module_name CatalystX-AppBuilder
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catalyst.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(Test/More.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.00011
Release: alt1
Summary: Build Your Application Instance Programatically
Group: Development/Perl
License: perl
URL: https://github.com/colinnewell/CatalystX-AppBuilder

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NE/NEWELLC/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
WARNING: YMMV regarding this module.

This module gives you a programatic interface to *configuring* Catalyst
applications.

The main motivation to write this module is: to write reusable Catalyst
appllications. For instance, if you build your MyApp::Base and you wanted to
create a new application afterwards that is *mostly* like MyApp::Base, 
but slightly tweaked. Perhaps you want to add or remove a plugin or two.
Perhaps you want to tweak just a single parameter.

Traditionally, your option then was to use catalyst.pl and create another
scaffold, and copy/paste the necessary bits, and tweak what you need.

After testing several approaches, it proved that the current Catalyst 
architecture (which is Moose based, but does not allow us to use Moose-ish 
initialization, since the Catalyst app instance does not materialize until 
dispatch time) did not allow the type of inheritance behavior we wanted, so
we decided to create a builder module around Catalyst to overcome this.
Therefore, if/when these obstacles (to us) are gone, this module may
simply dissappear from CPAN. You've been warned.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/C*

%changelog
* Fri Mar 04 2016 Igor Vlasenko <viy@altlinux.ru> 0.00011-alt1
- regenerated from template by package builder

* Sat Nov 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.00010-alt1
- regenerated from template by package builder

* Tue Sep 03 2013 Igor Vlasenko <viy@altlinux.ru> 0.00009-alt1
- initial import by package builder

